SQL-инъекция в ProFTPD

Дата публикации:
06.02.2009
Дата изменения:
26.02.2009
Всего просмотров:
5309
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2009-0542
CVE-2009-0543
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ProFTPD 1.3.x
Уязвимые версии: ProFTPD 1.3.1 и более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за некорректной установки кодировки перед выполнением SQL запросов. Удаленный пользователь может с помощью специально сформированного запроса в multi-byte кодировке выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости должна быть включена поддержка NLS.

2. Уязвимость существует из-за ошибки в модуле "mod_sql" при обработке имен пользователей, содержащих символы '%'. Злоумышленник может с помощью специально сформированного имени пользователя выполнить произвольные SQL команды в базе данных приложения.

URL производителя: www.proftpd.org

Решение: Установите последнюю версию 1.3.2 с сайта производителя.

Журнал изменений:

26.02.2009
Добавлено уязвимость #2.

Ссылки: http://www.proftpd.org/docs/NEWS-1.3.2
http://bugs.proftpd.org/show_bug.cgi?id=3173
http://milw0rm.com/exploits/8037

или введите имя

CAPTCHA